<template>
	<div>
		<div style="display: inline-block;font-size:18px;margin-bottom: 15px;">
			<a href="#" @click="prev" style="text-decoration:none;font-size: 14px;">
				<icon-svg name="jiantou" style="width: 1.2em;height: 1.2em;position: relative;top: 0.3em;"></icon-svg>
				返回
			</a>
			<span style="display: inline-block;margin: 0 15px;color: #D9D9D9;">|</span>
			<span>用户详情</span>
		</div>
		<el-tabs v-model="activeName" @tab-click="handleClick">
			<el-tab-pane label="用户详情" name="first">
				<div class="detailtabel">
					<div class="table_main">
						<table>
							<tbody>
								<tr>
									<th>累计邀请数量</th>
									<td>{{ tablemoney.myOrdersCount ? `${tablemoney.myOrdersCount}笔` : '0笔' }}</td>
									<th>本月充值金额</th>
									<td>{{ tablemoney.consume ? `${tablemoney.consume}钻石` : '0钻石' }}</td>
									<th>openId</th>
									<td class="border-rt">{{ tableData.openId ? tableData.openId : '未绑定' }}</td>
								</tr>
								<tr>
									<th>邀请人邀请码</th>
									<td>{{ tableData.inviterCode }}</td>
									<th>余额</th>
									<td style="color: rgb(245, 108, 108)">
										{{ tablenum.money&&tablenum.money.money ? `${tablenum.money.money}` : '0' }}
										<el-button size="mini" :disabled="!isAuth('userList:updatejf')"
											style="color: #4f9dec;background: #fff;border: none;"
											@click="rechargenone(1)">修改</el-button>
									</td>
									<!-- <th>定制化抵扣钻石</th>
									<td class="border-rt">
										{{ tablenum.money&&tablenum.money.customizationMoney ? `${tablenum.money.customizationMoney}钻石` : '0钻石' }}
										<el-button size="mini" :disabled="!isAuth('userList:updatejf')"
											style="color: #4f9dec;background: #fff;border: none;"
											@click="rechargenone(2)">修改</el-button>
									</td> -->
									<th>是否是会员</th>
									<td class="border-rt">
										{{tableData.isUserVip==1?'是':'否'}}
									</td>
								</tr>
								<tr>
									<th>邀请人数</th>
									<td>
										{{ tablemoney.count ? `${tablemoney.count}人` : '0人' }}
										<!-- {{ tableData.rate ? `${tableData.rate}` : '0' }}
										<el-button size="mini" style="color: #4f9dec;background: #fff;border: none;"
											@click="ageChange(7,tableData.userId,tableData.rate)">修改</el-button> -->
									</td>
									<th>直属佣金比例</th>
									<td>{{ tableData.zhiRate ? `${tableData.zhiRate}` : '0' }}
										<el-button size="mini" style="color: #4f9dec;background: #fff;border: none;"
											@click="ageChange(tableData.zhiRate,4)">修改</el-button>
									</td>
									<th>非直属佣金比例</th>
									<td class="border-rt">{{ tableData.feiRate ? tableData.feiRate : '0' }}
										<el-button size="mini" style="color: #4f9dec;background: #fff;border: none;"
											@click="ageChange(tableData.feiRate,5)">修改</el-button>
									</td>
								</tr>
								<tr>
									<th>创建时间</th>
									<td>{{ tableData.createTime }}</td>
									<th>手机号</th>
									<td>
										<span v-if="isAuth('userList:phone')">{{ tableData.phone ? tableData.phone : '未绑定' }}</span>
										<span v-else>{{ tableData.phone1 ? tableData.phone1 : '未绑定' }}</span>
										
										<el-button size="mini" :disabled="!isAuth('userList:update')"
											style="color: #4f9dec;background: #fff;border: none;"
											@click="ageChange(tableData.phone,1)">修改</el-button>
									</td>
									<th>图像</th>
									<td class="border-rt">
										<img v-if="tableData.avatar==null" src="~@/assets/img/avatar.png" alt=""
											width="80" height="80">
										<img v-else :src="tableData.avatar" width="80" height="80" />
										<el-button size="mini" :disabled="!isAuth('userList:update')"
											style="color: #4f9dec;background: #fff;border: none;"
											@click="ageChange(tableData.avatar,2)">修改</el-button>
									</td>
								</tr>
								<tr>
									<th>昵称</th>
									<td>
										<span v-if="!isAuth('userList:phone') && tableData.userName1">{{ tableData.userName1 ? tableData.userName1 : '未绑定' }}</span>
										<span v-else>{{ tableData.userName ? tableData.userName : '未绑定' }}</span>
										<el-button size="mini" :disabled="!isAuth('userList:update')"
											style="color: #4f9dec;background: #fff;border: none;"
											@click="ageChange(tableData.userName,3)">修改</el-button>
									</td>
									<!-- <th>来源</th>
									<td>{{ tableData.address ? tableData.address : '未绑定' }}</td> -->
									<th>编号</th>
									<td>{{ tableData.userId }}</td>
									<th>用户类型</th>
									<td>
										<span>用户</span>
										<!-- <span v-if="tableData.userType==2">企业</span>
										<span v-else>用户</span> -->
									</td>
									<!-- <th>是否是周会员</th>
									<td class="border-rt">
										<span v-if="tableData.weekMember == 1 ">是</span>
										<span v-else>否</span>
									</td> -->
								</tr>
								<tr>
									<th>邀请码</th>
									<td>{{ tableData.invitationCode }}</td>
									<!-- <th>会员等级</th>
									<td>
										<span v-if="tableData.member == 1 ">1星</span>
										<span v-else-if="tableData.member == 2 ">2星</span>
										<span v-else>非会员</span>
									</td> -->
									<th>用户状态</th>
									<td>
										<span v-if="tableData.status == 1 ">正常</span>
										<span v-if="tableData.status == 2 " style="color: #f56c6c;">禁用</span>
										<el-button size="mini" :disabled="!isAuth('userList:updateStatus')"
											style="color: #4f9dec;background: #fff;border: none;"
											@click="stateChange(tableData.userId)">更改状态</el-button>
									</td>
									<th></th>
									<td class=" border-rt">

									</td>
								</tr>
								<tr>
									<!-- <th>入职状态</th>
									<td>
										<span v-if="tableData.userResumesStatus==1">简历展示</span>
										<span
											v-if="tableData.userResumesStatus==2||tableData.userResumesStatus==4">简历隐藏</span>
										<span v-if="tableData.userResumesStatus==3">待审核</span>
										<span v-if="!tableData.userResumesStatus">简历展示</span>
									</td> -->
									<th></th>
									<td>
										<span></span>
										<!-- <span v-if="tableData.userType==2">企业</span>
										<span v-else>用户</span> -->
									</td>
									<th></th>
									<td>
									</td>
									<th></th>
									<td class=" border-rt">


									</td>
								</tr>
								<tr v-if="company.companyId">
									<th>公司名称</th>
									<td>{{ company.companyName }}</td>
									<!-- <th>公司法人</th>
									<td>{{ company.companyLegalPerson}}</td>
									<th>企业税号</th>
									<td class=" border-rt">
										<span>{{company.companyDutyParagraph}}</span>
										
									</td> -->
									<th>企业LOGO</th>
									<td>
										<el-popover placement="top-start" title="" trigger="hover">
											<img style="width: 50px; height: 50px" :src="company.companyLogo" alt=""
												slot="reference">
											<img style="width: 300px; height: 300px" :src="company.companyLogo" alt="">
										</el-popover>
									</td>
									<th>企业资质</th>
									<td class="border-rt">
										<div v-if="company.companyCertification">
											<span v-for="(item,index) in company.companyCertification.split(',')">
												<el-popover placement="top-start" title="" trigger="hover">
													<img style="width: 50px; height: 50px;display: inline-block;margin: 5px;"
														:src="item" alt="" slot="reference">
													<img style="width: 300px; height: 300px" :src="item" alt="">
												</el-popover>
											</span>
										</div>

									</td>
								</tr>
								<tr v-if="company.companyId">
									<th>经营范围</th>
									<td>{{ company.companyScope }}</td>
									<th>企业地址</th>
									<td>{{ company.companyAddress }}</td>
									<th>注册资金(单位:万)</th>
									<td class=" border-rt">
										{{ company.companyRegisteredFund }}
									</td>
								</tr>
								<!-- <tr v-if="company.companyId">
									<th>企业LOGO</th>
									<td>
										<el-popover placement="top-start" title="" trigger="hover">
											<img style="width: 50px; height: 50px" :src="company.companyLogo" alt=""
												slot="reference">
											<img style="width: 300px; height: 300px" :src="company.companyLogo" alt="">
										</el-popover>
									</td>
									<th>企业资质</th>
									<td>
										<div v-if="company.companyCertification">
											<span v-for="(item,index) in company.companyCertification.split(',')">
												<el-popover placement="top-start" title="" trigger="hover">
													<img style="width: 50px; height: 50px;display: inline-block;margin: 5px;" :src="item" alt=""
														slot="reference">
													<img style="width: 300px; height: 300px" :src="item" alt="">
												</el-popover>
											</span>
										</div>
										
									</td>
									<th>企业证书</th>
									<td class=" border-rt">
										<div v-if="company.companyCertificate">
											<span v-for="(item,index) in company.companyCertificate.split(',')">
												<el-popover placement="top-start" title="" trigger="hover">
													<img style="width: 50px; height: 50px;display: inline-block;margin: 5px;" :src="item" alt=""
														slot="reference">
													<img style="width: 300px; height: 300px" :src="item" alt="">
												</el-popover>
											</span>
										</div>
										
									</td>
								</tr> -->
								<tr v-if="company.companyId">
									<th class="border-bt">企业简介</th>
									<td class="border-bt" style="max-width: 200px;">
										<span>{{company.companyContent}}</span>

									</td>
									<th class="border-bt">到期时间</th>
									<td class="border-bt">
										{{ tableData.userMonthTime }}
									</td>
									<th class="border-bt"></th>
									<td class="border-bt border-rt">

									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			</el-tab-pane>
			<el-tab-pane label="提现记录" name="sixth">
				<el-table v-loading="tableDataLoading" :data="withdrawData.list">
					<el-table-column fixed prop="id" label="编号" width="80">
					</el-table-column>
					<el-table-column prop="zhifubao" label="支付宝账号">
						<template slot-scope="scope">
							<span style="color: #4f9dec;cursor: pointer;"
								@click="updates1(scope.row.userId)">{{scope.row.zhifubao ? scope.row.zhifubao : 'null'}}</span>
						</template>
					</el-table-column>
					<el-table-column prop="zhifubaoName" label="支付宝名称">
						<template slot-scope="scope">
							<span>{{scope.row.zhifubaoName ? scope.row.zhifubaoName : 'null'}}</span>
						</template>
					</el-table-column>
					<el-table-column prop="money" label="提现金额" width="100">
					</el-table-column>
					<el-table-column prop="state" label="状态" width="100" fixed="right">
						<template slot-scope="scope">
							<span style="color: #4f9dec;cursor: pointer;" v-if="scope.row.state == 0">待转账</span>
							<span v-if="scope.row.state == 1">已转账</span>
							<span v-if="scope.row.state == -1">已退款</span>
						</template>
					</el-table-column>
					<el-table-column prop="refund" label="退款原因" width="220">
					</el-table-column>
					<el-table-column prop="createAt" label="申请时间" width="170">
					</el-table-column>
					<el-table-column prop="outAt" label="转账/退款时间" width="180">
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeTxjl" @current-change="handleCurrentChangeTxjl"
						:page-sizes="[5, 10, 15, 20]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="withdrawData.totalCount">
					</el-pagination>
				</div>
			</el-tab-pane>
			<el-tab-pane label="钱包明细" name="eighth">
				<el-table v-loading="tableDataLoading" :data="walletData.records">
					<el-table-column prop="id" label="编号" width="100"></el-table-column>
					<el-table-column prop="title" label="标题"></el-table-column>
					<el-table-column prop="content" label="内容"></el-table-column>
					<el-table-column prop="money" label="金额" width="100">
						<template slot-scope="scope">
							<span style="color: #f56c6c;" v-if="scope.row.type==2">- {{ scope.row.money }}</span>
							<span style="color: #006600;" v-if="scope.row.type==1">+ {{ scope.row.money }}</span>
						</template>
					</el-table-column>
					<el-table-column prop="createTime" label="创建时间" width="180"></el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeQbmx" @current-change="handleCurrentChangeQbmx"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="walletData.total">
					</el-pagination>
				</div>
			</el-tab-pane>
			<!-- <el-tab-pane label="定制化抵扣明细" name="dongjie">
				<el-table v-loading="tableDataLoading" :data="rechargeData.records">
					<el-table-column prop="id" label="编号" width="100"></el-table-column>
					<el-table-column prop="title" label="标题"></el-table-column>
					<el-table-column prop="content" label="内容"></el-table-column>
					<el-table-column prop="money" label="钻石" width="100">
						<template slot-scope="scope">
							<span style="color: #f56c6c;" v-if="scope.row.type==2">- {{ scope.row.money }}</span>
							<span style="color: #006600;" v-if="scope.row.type==1">+ {{ scope.row.money }}</span>
						</template>
					</el-table-column>
					<el-table-column prop="createTime" label="创建时间" width="180"></el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeDzh" @current-change="handleCurrentChangeDzh"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="rechargeData.total">
					</el-pagination>
				</div>
			</el-tab-pane> -->
			<el-tab-pane label="充值明细" name="seventh">
				<div style="display: inline-block;">
					<span>开始时间：</span>
					<el-date-picker style="width: 160px;margin-left: 10px;" v-model="startTime" align="right"
						type="datetime" format="yyyy-MM-dd" value-format="yyyy-MM-dd" placeholder="选择开始时间">
					</el-date-picker>&nbsp;&nbsp;&nbsp;
					<span>截止时间：</span>
					<el-date-picker style="width: 160px;margin-left: 10px;" v-model="endTime" align="right"
						type="datetime" format="yyyy-MM-dd" value-format="yyyy-MM-dd" placeholder="选择截止时间">
					</el-date-picker>
					<el-button style="margin-left:15px;" size="mini" type="primary" icon="document" @click="timeDate2">
						查询</el-button>
				</div>
				<el-table v-loading="tableDataLoading" :data="rechargeData.list">
					<el-table-column prop="id" label="编号" width="50"></el-table-column>
					<el-table-column prop="orderId" label="充值订单号" width="200"></el-table-column>
					<el-table-column prop="money" label="充值金额"></el-table-column>
					<el-table-column prop="userId" label="会员编号"></el-table-column>
					<el-table-column label="业务类型">
						<template slot-scope="scope">
							<span v-if="scope.row.type == 1">充值</span>
							<span v-if="scope.row.type == 2">会员</span>
						</template>
					</el-table-column>
					<el-table-column label="分类" width="120">
						<template slot-scope="scope"> <!-- 1app微信 2微信公众号 3微信小程序 4app支付宝 5H5支付宝 6微信PC 7支付宝PC -->
							<!-- <span style="color: #4f9dec;cursor: pointer;" v-if="scope.row.classify == 1">微信</span>
							<span style="color: #4f9dec;cursor: pointer;" v-if="scope.row.classify == 2">支付宝</span> -->
							<span style="color: #4f9dec;cursor: pointer;" v-if="scope.row.classify == 1">app微信</span>
							<span style="color: #4f9dec;cursor: pointer;"
								v-else-if="scope.row.classify == 2">微信公众号</span>
							<span style="color: #4f9dec;cursor: pointer;"
								v-else-if="scope.row.classify == 3">微信小程序</span>
							<span style="color: #4f9dec;cursor: pointer;"
								v-else-if="scope.row.classify == 4">app支付宝</span>
							<span style="color: #4f9dec;cursor: pointer;"
								v-else-if="scope.row.classify == 5">H5支付宝</span>
							<span style="color: #4f9dec;cursor: pointer;"
								v-else-if="scope.row.classify == 6">微信PC</span>
							<span style="color: #4f9dec;cursor: pointer;"
								v-else-if="scope.row.classify == 7">支付宝PC</span>
							<span style="color: #4f9dec;cursor: pointer;" v-else>暂无</span>
						</template>
					</el-table-column>
					<el-table-column label="状态">
						<template slot-scope="scope">
							<span style="color: #4f9dec;cursor: pointer;" v-if="scope.row.state == 0">待支付</span>
							<span style="color: #4f9dec;cursor: pointer;" v-if="scope.row.state == 1">支付成功</span>
							<span style="color: #4f9dec;cursor: pointer;" v-if="scope.row.state == 2">支付失败</span>
						</template>
					</el-table-column>
					<el-table-column prop="createTime" label="创建时间" width="170">
					</el-table-column>
					<el-table-column prop="payTime" label="支付时间" width="170">
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeCzmx" @current-change="handleCurrentChangeCzmx"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="rechargeData.totalCount">
					</el-pagination>
				</div>
			</el-tab-pane>

			<el-tab-pane label="我的面试" name="fangke">
				<el-table v-loading="tableDataLoading" :data="fangkeData.records">
					<el-table-column prop="recordId" label="编号" width="80">
					</el-table-column>
					<el-table-column prop="postPush.stationName" label="面试岗位">
					</el-table-column>
					<el-table-column prop="postPush.salaryRange" label="岗位薪资">
					</el-table-column>
					<el-table-column prop="interviewDateTime" label="面试时间">
					</el-table-column>
					<el-table-column prop="detailedAddress" label="面试地点" width="250">
					</el-table-column>
					<el-table-column prop="remarks" label="面试备注">
					</el-table-column>

					<el-table-column prop="createTime" label="创建时间">
					</el-table-column>
					<el-table-column prop="status" label="状态">
						<template slot-scope="scope">
							<span v-if="scope.row.status==1">待接受</span>
							<span v-if="scope.row.status==2">已接受</span>
							<span v-if="scope.row.status==3">已拒绝</span>
							<span v-if="scope.row.status==4">已过期</span>
						</template>
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeLljl" @current-change="handleCurrentChangeLljl"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="fangkeData.total">
					</el-pagination>
				</div>
			</el-tab-pane>

			<el-tab-pane label="我的简历" name="dingdan">
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">入职状态:</span>
					<el-radio-group v-model="dingdanData.resumesStatus" disabled>
						<el-radio :label="0">离职-正在找工作</el-radio>
						<el-radio :label="1">在职-月内到岗</el-radio>
						<el-radio :label="2">在职-考虑机会</el-radio>
						<el-radio :label="3">在职-暂不考虑</el-radio>
					</el-radio-group>
				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">姓名:</span>
					<el-input style="width:50%;" disabled class="margin15" placeholder="请输入姓名"
						v-model="dingdanData.resumesName" autosize></el-input>
				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">电话:</span>
					<el-input style="width:50%;" disabled class="margin15" placeholder="请输入电话"
						v-model="dingdanData.resumesPhone" autosize></el-input>
				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">专业:</span>
					<el-input style="width:50%;" disabled class="margin15" placeholder="请输入专业"
						v-model="dingdanData.major" autosize></el-input>
				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">学历:</span>
					<el-input style="width:50%;" disabled class="margin15" placeholder="请输入学历"
						v-model="dingdanData.resumesEducation" autosize></el-input>
				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">学校:</span>
					<el-input style="width:50%;" disabled class="margin15" placeholder="请输入学校"
						v-model="dingdanData.school" autosize></el-input>
				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">所学专业:</span>
					<el-input style="width:50%;" disabled class="margin15" placeholder="请输入所学专业"
						v-model="dingdanData.major" autosize></el-input>

				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">性别:</span>
					<el-radio-group v-model="dingdanData.resumesSex" disabled>
						<el-radio :label="1">男</el-radio>
						<el-radio :label="2">女</el-radio>
					</el-radio-group>
				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">年龄:</span>
					<el-input style="width:50%;" disabled class="margin15" placeholder="请输入年龄"
						v-model="dingdanData.resumesAge" autosize></el-input>
				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">婚姻状态:</span>
					<el-radio-group v-model="dingdanData.resumesMarriage" disabled>
						<el-radio label="已婚">已婚</el-radio>
						<el-radio label="未婚">未婚</el-radio>
					</el-radio-group>
				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">工作经验:</span>
					<el-input style="width:50%;" disabled class="margin15" placeholder="请输入工作经验"
						v-model="dingdanData.resumesWorkExperience" autosize></el-input>
				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">职位:</span>
					<el-input style="width:50%;" disabled class="margin15" placeholder="请输入职位"
						v-model="dingdanData.resumesPost" autosize></el-input>
				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">邮箱:</span>
					<el-input style="width:50%;" disabled class="margin15" placeholder="请输入邮箱"
						v-model="dingdanData.resumesEmail" autosize></el-input>
				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">期望薪资:</span>
					<el-input style="width:50%;" disabled class="margin15" placeholder="请输入期望薪资"
						v-model="dingdanData.resumesCompensation" autosize></el-input>
				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">核定薪资:</span>
					<el-input style="width:50%;" disabled class="margin15" placeholder="请输入核定薪资"
						v-model="dingdanData.money" autosize></el-input>
				</div>
				<div class="content_item">
					<span style="width: 120px;text-align: left;display:inline-block;">家庭住址:</span>
					<el-input style="width:50%;" disabled class="margin15" placeholder="请输入家庭住址"
						v-model="dingdanData.address" autosize></el-input>
				</div>
				<div class="content_div">
					<span class="content_item">工作经历:</span>
					<span >
						<div v-for="(item2,index2) in dingdanData.workExpList" >
							<div class="titleGz"><span style="width:80%;margin-left: 120px;">所在公司：{{item2.companyName}}</span></div>
							<div v-for="(item,index) in item2.workExpDetailList" style="width:80%;margin-left: 120px;">
								<div><span>所担职务：<span>{{item.position}}</span></span> </div>
								<div><span>职位级别：<span>{{item.positionLevel}}</span></span> </div>
								<div><span>工作时间：<span>{{item.startTime}} - {{item.endTime}}</span></span> </div>
								<div><span>工作内容：<span>{{item.workContent}}</span></span> </div>
								&nbsp;
							</div>
						</div>
					</span>
				</div>
				<!-- <div class="content_item" style="position: relative;">
					<span style="position: absolute;top: 0;">项目经验:</span>
					<span style="width:50%;margin-left: 120px;">
						<div class="bigDiv" v-for="(item,index) in dingdanData.resumesWorkList">
							<div class="titleGz">{{item.resumesTitle}}</div>
							<div class="spanGz"><span>{{item.resumesPost}}</span><span
									class="spanTime">{{item.resumesTime.substring(0,10)}}
									~
									{{item.createTime.substring(0,10)}}
								</span></div>
							<div class="delGz">{{item.resumesContent}}</div>
						</div>
					</span>
				</div> -->
				<div class="content_item">
					<span
						style="width: 120px;text-align: left;display:inline-block;position: relative;top: -65px;">个人优势:</span>
					<el-input style="width:50%;" type="textarea" :rows="4" disabled class="margin15"
						placeholder="请输入个人优势" v-model="dingdanData.resumesDetails"></el-input>
				</div>
				<!-- <div class="content_item">
					<div style="display: flex;align-items: center;margin: 2% 0;">
						<span style="display: inline-block;text-align: left;width: 120px;">资质证书：</span>
						<div style="display: flex;" v-if="dingdanData.resumesImage">
							<div v-for="(item,index) of dingdanData.resumesImage.split(',')"
								style="display: inline-block;">
								<div style="position: relative;margin: 5px;">
									<img :src="item" class="avatar"
										style="width:148px;height: 148px;border-radius: 6px;" />

								</div>
							</div>
						</div>
					</div>
				</div> -->
			</el-tab-pane>
			<!-- <el-tab-pane label="我的定制推送" name="dingzhi">
				<el-table v-loading="tableDataLoading" :data="takeData.records">
					<el-table-column prop="postPushId" label="编号" width="80" fixed="left">
					</el-table-column>
					<el-table-column prop="companyName" label="公司名称" width="100">
					</el-table-column>
					<el-table-column prop="projectType" label="项目类型" width="150">
					</el-table-column>
					<el-table-column prop="projectName" label="项目名称" width="150">
					</el-table-column>
					<el-table-column prop="projectDayNum" label="工期" width="150">
					</el-table-column>
					<el-table-column prop="projectAward" label="项目奖励" width="100">
					</el-table-column>
					<el-table-column prop="address" label="地址" width="100">
					</el-table-column>
					<el-table-column prop="phone" label="电话" width="140">
					</el-table-column>
					<el-table-column prop="email" label="电子邮箱" width="100">
					</el-table-column>
					<el-table-column prop="payMoney" label="支付金额" width="100">
					</el-table-column>
					<el-table-column prop="status" label="状态" width="100" fixed="right">
						<template slot-scope="scope">
							<span style="color: #4f9dec;" v-if="scope.row.status === 1 ">待审核</span>
							<span style="color: #4f9dec;" v-if="scope.row.status === 2 ">正常</span>
							<span style="color: #4f9dec;" v-if="scope.row.status === 3 ">完成</span>
							<span style="color: #4f9dec;" v-if="scope.row.status === 4 ">未完成</span>
							<span style="color: #999;" v-if="scope.row.status === 5 ">已取消</span>
							<span style="color: #999;" v-if="scope.row.status === 6 ">拒绝</span>
						</template>
					</el-table-column>
					<el-table-column prop="createTime" label="创建时间" width="180">
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeTs" @current-change="handleCurrentChangeTs"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="takeData.total">
					</el-pagination>
				</div>
			</el-tab-pane>
			<el-tab-pane label="我的精准推送" name="fabu">
				<el-table v-loading="tableDataLoading" :data="takeData.records">
					<el-table-column prop="postPushId" label="编号" width="80" fixed="left">
					</el-table-column>
					<el-table-column prop="companyName" label="公司名称" width="100">
					</el-table-column>
					<el-table-column prop="projectType" label="项目类型" width="150">
					</el-table-column>
					<el-table-column prop="projectName" label="项目名称" width="150">
					</el-table-column>
					<el-table-column prop="projectDayNum" label="工期" width="150">
					</el-table-column>
					<el-table-column prop="projectAward" label="项目奖励" width="100">
					</el-table-column>
					<el-table-column prop="address" label="地址" width="100">
					</el-table-column>
					<el-table-column prop="phone" label="电话" width="140">
					</el-table-column>
					<el-table-column prop="email" label="电子邮箱" width="100">
					</el-table-column>
					<el-table-column prop="payMoney" label="支付金额" width="100">
					</el-table-column>
					<el-table-column prop="status" label="状态" width="100" fixed="right">
						<template slot-scope="scope">
							<span style="color: #4f9dec;" v-if="scope.row.status === 1 ">待审核</span>
							<span style="color: #4f9dec;" v-if="scope.row.status === 2 ">正常</span>
							<span style="color: #4f9dec;" v-if="scope.row.status === 3 ">完成</span>
							<span style="color: #4f9dec;" v-if="scope.row.status === 4 ">未完成</span>
							<span style="color: #999;" v-if="scope.row.status === 5 ">已取消</span>
							<span style="color: #999;" v-if="scope.row.status === 6 ">拒绝</span>
						</template>
					</el-table-column>
					<el-table-column prop="createTime" label="创建时间" width="180">
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeTs" @current-change="handleCurrentChangeTs"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="takeData.total">
					</el-pagination>
				</div>
			</el-tab-pane> -->
			<!-- 我的团队 -->
			<el-tab-pane label="我的团队" name="tuandui">
				<div>
					<span>等级：</span>
					<el-select v-model="types" style="width:150px;margin-left: 10px;" @change="animeDat(types)">
						<el-option v-for="item in typesList" :key="item.type" :label="item.name"
							:value="item.type">
						</el-option>
					</el-select>&nbsp;&nbsp;&nbsp;
				</div>
				<el-table v-loading="tableDataLoading" :data="tuanduiData.records">
				  <el-table-column fixed prop="userId" label="id" width="80">
				  </el-table-column>
				  <el-table-column prop="nickName" label="用户昵称">
				    <template slot-scope="scope">
				      <div style="color: #4f9dec;cursor: pointer;" @click="updates(scope.row)">
				        {{scope.row.userName ? scope.row.userName : '未绑定'}}</div>
				    </template>
				  </el-table-column>
				  <el-table-column prop="avatar" label="用户头像">
				    <template slot-scope="scope">
				      <div style="margin-top: 5px;" v-if="scope.row.avatar">
				        <el-popover placement="top-start" title="" trigger="hover">
				          <img style="width: 50px; height: 50px" :src="scope.row.avatar" alt="" slot="reference">
				          <img style="width: 200px; height: 200px" :src="scope.row.avatar" alt="">
				        </el-popover>
				      </div>
					  <div v-else><img style="width: 50px; height: 50px" src = "~@/assets/img/avatar.png" alt="" slot="reference"></div>
				    </template>
				  </el-table-column>
				  <el-table-column prop="phone" label="电话">
				  </el-table-column>
				  <el-table-column prop="money" label="收益">
				  </el-table-column>
				  
				  <el-table-column prop="createTime" label="创建时间" width="160">
				  </el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeTd" @current-change="handleCurrentChangeTd"
						:page-sizes="[10, 20, 30, 50, 100]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="tuanduiData.total">
					</el-pagination>
				</div>
			</el-tab-pane>
			<el-tab-pane label="屏蔽公司" name="pingbi">
				<el-table v-loading="tableDataLoading" :data="pingbiData.list">
					<el-table-column prop="companyId" label="编号" width="80">
					</el-table-column>
					<el-table-column prop="company.companyName" label="公司名称">
					</el-table-column>
					<el-table-column prop="company.companyAddress" label="地址">
					</el-table-column>
					<el-table-column prop="createTime" label="创建时间" width="160">
					</el-table-column>
					<el-table-column label="操作" prop="id" width="120" fixed='right' align="center">
						<template slot-scope="scope">
							<el-button size="mini" type="danger" @click="laheiBtn(scope.row,1)" style="margin: 5px;">
								拉出黑名单
							</el-button>
						</template>
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangePb" @current-change="handleCurrentChangePb"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="pingbiData.totalCount">
					</el-pagination>
				</div>
			</el-tab-pane>
			<el-tab-pane label="发送的简历" name="baoming">
				<el-table v-loading="tableDataLoading" :data="baomingData.records">
					<el-table-column fixed prop="postPushId" label="编号" width="50">
					</el-table-column>
					<!-- <el-table-column prop="companyEntity.userName" label="发布用户">
						<template slot-scope="scope">
							　<span style="color: #4f9dec;cursor: pointer;" v-if="scope.row.companyEntity"
								@click="updates(scope.row.companyEntity)"
								v-text="scope.row.companyEntity.userName"></span>
						</template>
					</el-table-column> -->
					<el-table-column prop="ruleClassifyName" label="岗位名称">
					</el-table-column>
					<el-table-column prop="stationName" label="职位名称">
					</el-table-column>
					<el-table-column prop="companyName" label="企业名称">
					</el-table-column>
					<el-table-column prop="postPush.positionDetails" label="职位信息" width="200">
						<template slot-scope="scope">
							<div
								style="display: -webkit-box;-webkit-box-orient: vertical;-webkit-line-clamp: 3;overflow: hidden;max-height:80px;">
								<el-popover placement="top-start" title="" trigger="hover">
									<div slot="reference"  v-html="scope.row.positionDetails"></div>
									<div style="width: 400px;" v-html="scope.row.positionDetails"></div>
								</el-popover>
							</div>
						</template>
					</el-table-column>
					<el-table-column prop="email" label="邮箱地址">
					</el-table-column>
					<el-table-column prop="salaryRange" label="薪资范围">
					</el-table-column>
					<el-table-column prop="education" label="学历">
					</el-table-column>
					<el-table-column prop="experience" label="经验">
					</el-table-column>
					<el-table-column prop="industry" label="行业">
					</el-table-column>
					<el-table-column prop="typeDesc" label="招聘类型">
					</el-table-column>
					<el-table-column prop="welfareTag" label="福利" width="200">
					</el-table-column>
					<el-table-column prop="province" label="省">
					</el-table-column>
					<el-table-column prop="city" label="市">
					</el-table-column>
					<el-table-column prop="county" label="区">
					</el-table-column>
					<el-table-column prop="address" label="详情地址">
					</el-table-column>
					<el-table-column prop="updateTime" label="创建时间">
					</el-table-column>
					<!-- <el-table-column label="操作" prop="id" width="160" fixed='right' align="center">
						<template slot-scope="scope">
							<el-button size="mini" type="primary" @click="delClicks(scope.row.resumes)" style="margin: 5px;">
								简历详情
							</el-button>
						</template>
					</el-table-column> -->
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeBm" @current-change="handleCurrentChangeBm"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="baomingData.total">
					</el-pagination>
				</div>
			</el-tab-pane>
			<el-tab-pane label="浏览记录" name="fapiao">
				<el-table width="780px" v-loading="tableDataLoading4" :data="fapiaoData.records">
					<el-table-column fixed prop="postPushId" label="编号" width="50">
					</el-table-column>
					<!-- <el-table-column prop="userName" label="发布用户">
						<template slot-scope="scope">
							　<span style="color: #4f9dec;cursor: pointer;" v-if="scope.row.userName&&scope.row.userName"
								@click="updates(scope.row)" v-text="scope.row.userName"></span>
						</template>
					</el-table-column> -->
					<el-table-column prop="ruleClassifyName" label="岗位名称">
					</el-table-column>
					<el-table-column prop="stationName" label="职位名称">
					</el-table-column>
					<el-table-column prop="companyName" label="企业名称">
					</el-table-column>
					<el-table-column prop="positionDetails" label="职位信息" width="200">
						<template slot-scope="scope">
							<div
								style="display: -webkit-box;-webkit-box-orient: vertical;-webkit-line-clamp: 3;overflow: hidden;max-height:80px;">
								<el-popover placement="top-start" title="" trigger="hover">
									<div slot="reference"  v-html="scope.row.positionDetails"></div>
									<div style="width: 400px;" v-html="scope.row.positionDetails"></div>
								</el-popover>
							</div>
						</template>
					</el-table-column>
					<el-table-column prop="email" label="邮箱地址">
					</el-table-column>
					<el-table-column prop="salaryRange" label="薪资范围">
					</el-table-column>
					<el-table-column prop="education" label="学历">
					</el-table-column>
					<el-table-column prop="experience" label="经验">
					</el-table-column>
					<el-table-column prop="industry" label="行业">
					</el-table-column>
					<el-table-column prop="typeDesc" label="招聘类型">
					</el-table-column>
					<el-table-column prop="welfareTag" label="福利" width="200">
						<template slot-scope="scope">
							<div
								style="display: -webkit-box;-webkit-box-orient: vertical;-webkit-line-clamp: 3;overflow: hidden;max-height:80px;">
								<el-popover placement="top-start" title="" trigger="hover">
									<div slot="reference"  v-html="scope.row.welfareTag"></div>
									<div style="width: 400px;" v-html="scope.row.welfareTag"></div>
								</el-popover>
							</div>
						</template>
					</el-table-column>
					<el-table-column prop="positionTag" label="标签" width="200">
						<template slot-scope="scope">
							<div
								style="display: -webkit-box;-webkit-box-orient: vertical;-webkit-line-clamp: 3;overflow: hidden;max-height:80px;">
								<el-popover placement="top-start" title="" trigger="hover">
									<div slot="reference"  v-html="scope.row.positionDetails"></div>
									<div style="width: 400px;" v-html="scope.row.positionDetails"></div>
								</el-popover>
							</div>
						</template>
					</el-table-column>
					<el-table-column prop="province" label="省">
					</el-table-column>
					<el-table-column prop="city" label="市">
					</el-table-column>
					<el-table-column prop="county" label="区">
					</el-table-column>
					<el-table-column prop="address" label="详情地址">
					</el-table-column>
					<el-table-column prop="updateTime" label="创建时间">
					</el-table-column>
					<el-table-column label="操作" fixed='right' width="150">
						<template slot-scope="scope">
							<el-button size="mini" type="danger" @click="deleteLlBtn(scope.row)">删除
							</el-button>
						</template>
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeF" @current-change="handleCurrentChangeF"
						:page-sizes="[5, 10, 15, 20]" :page-size="size2" :current-page="page2"
						layout="total,sizes, prev, pager, next,jumper" :total="fapiaoData.total">
					</el-pagination>
				</div>
			</el-tab-pane>
			<el-tab-pane label="我的收藏" name="shoucang">
				<el-table width="780px" v-loading="tableDataLoading4" :data="scData.records">
					<el-table-column fixed prop="postPushId" label="编号" width="50">
					</el-table-column>
					<el-table-column prop="ruleClassifyName" label="岗位名称">
					</el-table-column>
					<el-table-column prop="stationName" label="职位名称">
					</el-table-column>
					<el-table-column prop="companyName" label="企业名称">
					</el-table-column>
					<el-table-column prop="positionDetails" label="职位信息" width="200">
						<template slot-scope="scope">
							<div
								style="display: -webkit-box;-webkit-box-orient: vertical;-webkit-line-clamp: 3;overflow: hidden;max-height:80px;">
								<el-popover placement="top-start" title="" trigger="hover">
									<div slot="reference"  v-html="scope.row.positionDetails"></div>
									<div style="width: 400px;" v-html="scope.row.positionDetails"></div>
								</el-popover>
							</div>
						</template>
					</el-table-column>
					<el-table-column prop="email" label="邮箱地址">
					</el-table-column>
					<el-table-column prop="salaryRange" label="薪资范围">
					</el-table-column>
					<el-table-column prop="education" label="学历">
					</el-table-column>
					<el-table-column prop="experience" label="经验">
					</el-table-column>
					<el-table-column prop="industry" label="行业">
					</el-table-column>
					<el-table-column prop="postType" label="招聘类型">
					</el-table-column>
					<el-table-column prop="positionWelfare" label="福利" width="200">
					</el-table-column>
					<el-table-column prop="tag" label="标签" width="200">
					</el-table-column>
					<el-table-column prop="province" label="省">
					</el-table-column>
					<el-table-column prop="city" label="市">
					</el-table-column>
					<el-table-column prop="county" label="区">
					</el-table-column>
					<el-table-column prop="address" label="详情地址">
					</el-table-column>
					<el-table-column prop="createTime" label="创建时间">
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeSc" @current-change="handleCurrentChangeSc"
						:page-sizes="[5, 10, 15, 20]" :page-size="size2" :current-page="page2"
						layout="total,sizes, prev, pager, next,jumper" :total="scData.total">
					</el-pagination>
				</div>
			</el-tab-pane>
			<el-tab-pane label="求职意向" name="yixiang">
				<el-table v-loading="tableDataLoading" :data="tableData.records">
					<el-table-column prop="intentionId" label="编号" width="80">
					</el-table-column>

					<el-table-column prop="userId" label="用户">
						<template slot-scope="scope">
							<span style="color: #008000;cursor: pointer;"
								@click="updates(scope.row)">{{ scope.row.userName }}</span>
						</template>

					</el-table-column>
					<el-table-column prop="ruleClassifyName" label="职位名称">
					</el-table-column>
					<el-table-column prop="citys" label="期望城市">
					</el-table-column>
					<el-table-column prop="salaryRange" label="薪资范围">
					</el-table-column>
					<el-table-column prop="industry" label="行业">
					</el-table-column>
					<el-table-column prop="createTime" label="创建时间" width="160">
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeQzyx" @current-change="handleCurrentChangeQzyx"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="tableData.total">
					</el-pagination>
				</div>
			</el-tab-pane>
			<!-- 不可提现添加金额 -->
			<el-dialog title="修改" :visible.sync="dialogFormVisible1" center>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">修改类型：</span>
					<el-radio-group v-model="type">
						<el-radio :label="1">添加</el-radio>
						<el-radio :label="2">减少</el-radio>
					</el-radio-group>
				</div>
				<div style="margin-bottom: 10px;" v-if="indexJe==1">
					<span style="width: 200px;display: inline-block;text-align: right;">金额：</span>
					<el-input style="width:50%;" v-model="money" type="number" :min="0" :max="100" :controls="false"
						placeholder="请输入金额"></el-input>
				</div>
				<div style="margin-bottom: 10px;" v-if="indexJe==2">
					<span style="width: 200px;display: inline-block;text-align: right;">钻石：</span>
					<el-input style="width:50%;" v-model="money" type="number" :min="0" :max="100" :controls="false"
						placeholder="请输入钻石"></el-input>
				</div>
				<div slot="footer" class="dialog-footer">
					<el-button @click="dialogFormVisible1 = false">取 消</el-button>
					<el-button type="primary" @click="StairNoticeTo1()">确 定</el-button>
				</div>
			</el-dialog>
			<!-- 修改信息 -->
			<el-dialog title="修改信息" :visible.sync="dialogFormVisible2" center>
				<div style="margin-bottom: 10px;" v-if="indexType==4||indexType==5">
					<span style="width: 200px;display: inline-block;text-align: right;">佣金比例：</span>
					<el-input style="width:50%;" v-model="age" type="number" :min="0" :controls="false"
						placeholder="输入佣金比例"></el-input>
				</div>
				<div style="margin-bottom: 10px;" v-if="indexType==1">
					<span style="width: 200px;display: inline-block;text-align: right;">手机号：</span>
					<el-input style="width:50%;" v-model="age" :controls="false" placeholder="请输入手机号"></el-input>
				</div>
				<div style="margin-bottom: 10px;" v-if="indexType==2">
					<span style="width: 200px;display: inline-block;text-align: right;">头像：</span>
					<!-- <el-input style="width:50%;" v-model="age" type="number" :min="0" :controls="false"
						placeholder="请输入金额"></el-input> -->
					<div
						style=" width:148px;height:148px;border: 1px dashed #c0ccda;border-radius: 6px;text-align: center;line-height: 148px;display: inline-block;">
						<el-upload class="avatar-uploader" v-model="age" :action="$http.adornUrl('alioss/upload')"
							:show-file-list="false" :on-success="handleAvatarSuccess5">
							<img v-if="age!=''" :src="age" class="avatar"
								style="border-radius: 6px;width: 148px;height: 148px;" />
							<i v-else class="el-icon-plus avatar-uploader-icon iconss"></i>

						</el-upload>
					</div>
				</div>
				<div style="margin-bottom: 10px;" v-if="indexType==3">
					<span style="width: 200px;display: inline-block;text-align: right;">昵称：</span>
					<el-input style="width:50%;" v-model="age" :controls="false" placeholder="请输入昵称"></el-input>
				</div>
				<div slot="footer" class="dialog-footer">
					<el-button @click="dialogFormVisible2 = false">取 消</el-button>
					<el-button type="primary" @click="StairNoticeTo2()">确 定</el-button>
				</div>
			</el-dialog>
			<!-- 评论列表 -->
			<el-dialog title="评论列表" :visible.sync="dialogFormVisible10" center>
				<el-table v-loading="tableDataLoading" :data="pinglunData.list">
					<el-table-column prop="id" label="编号" width="80">
					</el-table-column>
					<el-table-column prop="userName" label="评论用户" width="120">
						<template slot-scope="scope">
							　<span style="color: #4f9dec;cursor: pointer;" @click="updatesvideo(scope.row)"
								v-text="scope.row.userName"></span>
						</template>
					</el-table-column>
					<el-table-column prop="avatar" label="用户头像" width="100">
						<template slot-scope="scope">
							　　<img v-if="scope.row.avatar && scope.row.avatar!=''" :src="scope.row.avatar" width="40"
								height="40" />
							<span v-else>暂无图片</span>
						</template>
					</el-table-column>
					<el-table-column prop="content" label="评论内容">
					</el-table-column>
					<el-table-column prop="createTime" label="评论时间" width="180">
					</el-table-column>
					<el-table-column label="操作" prop="id" width="100" fixed='right' align="center">
						<template slot-scope="scope">
							<el-button size="mini" type="danger" :disabled="!isAuth('locality:delete')"
								@click="pinglundelete(scope.row)">删除
							</el-button>
						</template>
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangePl" @current-change="handleCurrentChangePl"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit2" :current-page="page2"
						layout="total,sizes, prev, pager, next,jumper" :total="pinglunData.totalCount">
					</el-pagination>
				</div>
			</el-dialog>
			<!-- 添加/修改发票 -->
			<el-dialog :title="titlesFp" :visible.sync="dialogFormVisibleFp" center width="70%">
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">发票信息：</span>
					<div style="margin-left: 200px;margin-top: 10px;">
						<quill-editor ref="myTextEditor" v-model="title" :options="quillOption"
							style="padding-bottom: 50px;height: 300px;width: 72%;display: inline-table;margin-bottom: 60px;">
						</quill-editor>
					</div>
				</div>
				<!-- <div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">开票信息：</span>
					<el-input v-model="title" style="width:45%;" min="0" placeholder="请输入开票信息">
					</el-input>
				</div> -->
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">发票金额：</span>
					<el-input v-model="money" type="number" style="width:45%;" min="0" placeholder="请输入发票金额"
						onkeyup="value=value.replace(/^\D*(\d*(?:\.\d{0,2})?).*$/g, '$1')">
					</el-input>
				</div>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">发票内容：</span>
					<el-input v-model="content" style="width:45%;" min="0" placeholder="请输入发票内容">
					</el-input>
				</div>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">发票类型：</span>
					<el-radio-group v-model="invoiceType">
						<el-radio :label="1">专票</el-radio>
						<el-radio :label="2">普票</el-radio>
					</el-radio-group>
				</div>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">发票状态：</span>
					<el-radio-group v-model="statusF">
						<el-radio :label="1">待开票</el-radio>
						<el-radio :label="2">已开票</el-radio>
					</el-radio-group>
				</div>
				<div slot="footer" class="dialog-footer" style="margin-top: 30px;text-align: center;">
					<el-button @click="dialogFormVisibleFp=false">取 消</el-button>
					<el-button type="primary" @click="fapiaoNoticeTo()">确 定</el-button>
				</div>
			</el-dialog>
		</el-tabs>
	</div>
</template>

<script>
	import {
		quillEditor
	} from 'vue-quill-editor'
	import 'quill/dist/quill.core.css'
	import 'quill/dist/quill.snow.css'
	import 'quill/dist/quill.bubble.css'
	import quillConfig from '../mission/quill-config.js'
	export default {
		name: 'news',
		components: {
			quillEditor
		},
		data() {
			return {
				state: 0,
				limit: 10,
				page: 1,
				limit2: 10,
				page2: 1,
				userId: '',
				money: '',
				title: '',
				content: '',
				phone: '',
				startTime: '',
				endTime: '',
				invitationCode: '',
				feiDatamin: {},
				info: {
					stockDate: this.getNowTime(), //日期
				},
				info2: {
					stockDate2: this.getNowTime2(), //日期
				},
				tablemoney: {},
				tablenum: {},
				tableData: {},
				company: {},
				userData: {},
				fangkeData: {},
				tableDatamin: [],
				withdrawData: {},
				walletData: {},
				rechargeData: {},
				takeData: {},
				dingdanData: {},
				wannengData: {},
				activeName: 'first',
				dialogFormVisible: false,
				dialogFormVisible1: false,
				dialogFormVisible2: false,
				dialogFormVisible10: false,

				tableDataLoading: true,
				invitation: '',
				search: '',
				classifyIds: 0,
				statusId: -1,
				myPhone: '',
				type: '',
				age: '',
				renwuId: '',
				pinglunData: {},
				tuanduiData: {},
				types: 1,
				typesList: [{
						type: 1,
						name: '一级'
					},
					{
						type: 2,
						name: '二级'
					}
				],
				pingbiData: {},
				baomingData: {},
				classify: 1,
				indexJe: 1,
				dialogFormVisibleFp: false,
				tableDataLoading4: false,
				page2: 1,
				size2: 10,
				userId: '',
				titlesFp: '添加',
				title: '',
				content: '',
				money: '',
				invoiceId: '',
				statusF: '',
				invoiceType: 1,
				fapiaoData: {},
				hmdData: {},
				scData: {},
				quillOption: quillConfig,
				companyId: '',
				indexType: '',
				workExpList: [],
			}
		},
		methods: {
			// 返回上一级
			prev() {
				this.$router.back()
			},
			// 详情跳转
			updates(row) {
				this.$router.push({
					path: '/userDetailQ',
					query: {
						userId: row.userId
					}
				})
			},
			// 详情跳转
			updates1(userId) {
				this.$router.push({
					path: '/userDetail',
					query: {
						userId: userId
					}
				})
			},
			//处理默认选中当前日期
			getNowTime() {
				var now = new Date()
				var year = now.getFullYear() //得到年份
				var month = now.getMonth() //得到月份
				var date = now.getDate() //得到日期
				month = month + 1
				month = month.toString().padStart(2, '0')
				date = date.toString().padStart(2, '0')
				var defaultDate = `${year}-${month}-${date}`
				return defaultDate
				this.$set(this.info, 'stockDate', defaultDate)
			},
			//处理默认选中当前日期
			getNowTime2() {
				var now = new Date()
				var year = now.getFullYear() //得到年份
				var month = now.getMonth() - now.getMonth() //得到月份
				var date = now.getDate() - now.getDate() + 1 //得到日期
				month = month + 1
				month = month.toString().padStart(2, '0')
				date = date.toString().padStart(2, '0')
				var defaultDate = `${year}-${month}-${date}`
				return defaultDate
				this.$set(this.info, 'stockDate', defaultDate)
			},
			// tabs切换
			handleClick(tab, event) {
				if (tab._props.label == '用户详情') {
					this.dataSelect()
					// this.autonymSelect()
				}

				if (tab._props.label == '提现记录') {
					this.limit = 10,
						this.page = 1,
						this.withdrawSelect()
				}
				if (tab._props.label == '钱包明细') {
					this.limit = 10
					this.page = 1
					this.walletSelect()
				}
				if (tab._props.label == '充值明细') {
					this.limit = 10
					this.page = 1
					this.rechargeSelect()
				}
				if (tab._props.label == '定制化抵扣明细') {
					this.limit = 10
					this.page = 1
					this.rechargeSelectDz()
				}


				if (tab._props.label == '我的定制推送') {
					this.limit = 10
					this.page = 1
					this.classify = 1
					this.takeSelect()
				}
				if (tab._props.label == '我的精准推送') {
					this.limit = 10
					this.page = 1
					this.classify = 2
					this.takeSelect()
				}
				if (tab._props.label == '我的简历') {
					this.limit = 10
					this.page = 1
					this.state = 0
					this.dingdanSelect()
				}
				if (tab._props.label == '浏览项目') {
					this.limit = 10
					this.page = 1
					this.state = 8
					this.flag = 1
					this.userSelect()
				}

				if (tab._props.label == '我的面试') {
					this.limit = 10
					this.page = 1
					this.state = 8
					this.flag = 1
					this.fangkeSelect()
				}

				if (tab._props.label == '我的团队') {
					this.limit = 10
					this.page = 1
					this.types = 1
					this.tuanduiSelect()
				}
				if (tab._props.label == '屏蔽公司') {
					this.limit = 10
					this.page = 1
					this.pingbiSelect()
				}
				if (tab._props.label == '发送的简历') {
					this.limit = 10
					this.page = 1
					this.baomingSelect()
				}
				if (tab._props.label == '浏览记录') {
					this.size2 = 10
					this.page2 = 1
					this.fapiaoList()
				}
				if (tab._props.label == '我的收藏') {
					this.size2 = 10
					this.page2 = 1
					this.shoucangList()
				}

				if (tab._props.label == '企业黑名单') {
					this.size2 = 10
					this.page2 = 1
					this.hmdList()
				}
				// 求职意向
				if (tab._props.label == '求职意向') {
					this.limit = 10
					this.page = 1
					this.classSelect()
				}



			},
			handleSizeChange(val) {
				this.limit = val
				this.teamSelect()
			},
			handleCurrentChange(val) {
				this.page = val
				this.teamSelect()
			},
			handleSizeChange1(val) {
				this.limit = val
				this.InformationSelect()
			},
			handleCurrentChange1(val) {
				this.page = val
				this.InformationSelect()
			},
			handleSizeChangeTxjl(val) {
				this.limit = val
				this.withdrawSelect()
			},
			handleCurrentChangeTxjl(val) {
				this.page = val
				this.withdrawSelect()
			},
			handleSizeChangeQbmx(val) {
				this.limit = val
				this.walletSelect()
			},
			handleCurrentChangeQbmx(val) {
				this.page = val
				this.walletSelect()
			},
			handleSizeChangeCzmx(val) {
				this.limit = val
				this.rechargeSelect()
			},
			handleCurrentChangeCzmx(val) {
				this.page = val
				this.rechargeSelect()
			},
			handleSizeChangeDzh(val) {
				this.limit = val
				this.rechargeSelectDz()
			},
			handleCurrentChangeDzh(val) {
				this.page = val
				this.rechargeSelectDz()
			},
			handleSizeChangeTs(val) {
				this.limit = val
				this.takeSelect()
			},
			handleCurrentChangeTs(val) {
				this.page = val
				this.takeSelect()
			},
			handleSizeChangeQzyx(val) {
				this.limit = val
				this.classSelect()
			},
			handleCurrentChangeQzyx(val) {
				this.page = val
				this.classSelect()
			},

			handleSizeChangeLljl(val) {
				this.limit = val
				this.feiSelect()
			},
			handleCurrentChangeLljl(val) {
				this.page = val
				this.feiSelect()
			},

			handleSizeChangeTd(val) {
				this.limit = val
				this.tuanduiSelect()
			},
			handleCurrentChangeTd(val) {
				this.page = val
				this.tuanduiSelect()
			},
			handleSizeChangePl(val) {
				this.limit2 = val
				this.pinglunSelect(this.renwuId)
			},
			handleCurrentChangePl(val) {
				this.page2 = val
				this.pinglunSelect(this.renwuId)
			},

			handleSizeChangePb(val) {
				this.limit = val
				this.pingbiSelect()
			},
			handleCurrentChangePb(val) {
				this.page = val
				this.pingbiSelect()
			},
			handleSizeChangeBm(val) {
				this.limit = val
				this.baomingSelect()
			},
			handleCurrentChangeBm(val) {
				this.page = val
				this.baomingSelect()
			},
			handleSizeChangeF(val) {
				this.size2 = val
				this.userClass()
			},
			handleCurrentChangeF(val) {
				this.page2 = val
				this.userClass()
			},
			handleSizeChangeSc(val) {
				this.size2 = val
				this.shoucangList()
			},
			handleCurrentChangeSc(val) {
				this.page2 = val
				this.shoucangList()
			},
			timeDate2() {
				this.rechargeSelect()
			},
			// 可提现金额
			withdraw(id, val) {
				if (val == 0) {
					this.$message({
						message: '可提现金额为0钻石',
						type: 'error',
						duration: 1500,
						onClose: () => {
							this.dataSelect()
						}
					})
				} else {
					this.$confirm(`确定要推送提现消息吗?`, '提示', {
						confirmButtonText: '确定',
						cancelButtonText: '取消',
						type: 'warning'
					}).then(() => {
						this.$http({
							url: this.$http.adornUrl(`user/notification/${id}`),
							method: 'post',
							data: this.$http.adornData({})
						}).then(({
							data
						}) => {
							this.$message({
								message: '推送成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.dataSelect()
								}
							})
						})
					}).catch(() => {})
				}
			},
			// 不可提现金额充值
			rechargenone(index) {
				this.indexJe = index
				this.dialogFormVisible1 = true
			},
			StairNoticeTo1() {
				let userId = this.$route.query.userId
				if (this.type == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请选择修改类型',
						type: 'warning'
					})
					return
				}

				if (this.indexJe == 1) {
					if (this.money == '') {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: '请输入金额',
							type: 'warning'
						})
						return
					}
					var url = 'user/addCannotMoney/' + userId + '/' + this.money + '/' + this.type
				}
				if (this.indexJe == 2) {
					if (this.money == '') {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: '请输入钻石',
							type: 'warning'
						})
						return
					}
					var url = 'user/updateCustomizationMoney/' + userId + '/' + this.money + '/' + this.type
				}
				this.$http({
					url: this.$http.adornUrl(url),
					method: 'post',
					data: this.$http.adornData({})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.$message({
							message: '修改成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.type = ''
								this.money = ''
								this.dataSelect()
							}
						})
						this.dialogFormVisible1 = false
					} else {
						this.$message.error(data.msg)
					}
				})
			},
			StairNoticeTo2() {
				let userId = this.$route.query.userId
				let datas = {}
				datas.userId = userId
				if (this.indexType == 1) {
					console.log('this.age.length', this.age.length)
					if (this.age.length !== 11) {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: '请输入有效手机号',
							type: 'warning'
						});
						return
					}
					datas.phone = this.age
				}
				if (this.indexType == 2) {
					datas.avatar = this.age
				}
				if (this.indexType == 3) {
					datas.userName = this.age
				}
				if (this.indexType == 4) {
					datas.zhiRate = this.age
				}
				if (this.indexType == 5) {
					datas.feiRate = this.age
				}
				this.$http({
					url: this.$http.adornUrl('user/updateUserByUserId'),
					method: 'post',
					data: this.$http.adornData(datas)
				}).then(({
					data
				}) => {
					console.log('data', data)
					if (data.code == 0) {
						this.$message({
							message: '修改成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.dialogFormVisible2 = false
								this.dataSelect()
							}
						})
					} else {
						this.$message({
							message: data.msg,
							type: 'warning',
							duration: 1500,
							onClose: () => {}
						})
					}

				})
			},
			// 更改状态
			stateChange(userId) {
				this.$confirm(`确定要更改用户状态吗?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl(`user/updateUserStatusByUserId?userId=${userId}`),
						method: 'get',
						data: this.$http.adornData({})
					}).then(({
						data
					}) => {
						this.$message({
							message: '修改成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.dataSelect()
							}
						})
					})
				}).catch(() => {})
			},
			// 修改性别
			sexChange(userId, sex) {
				var sexs = 1;
				if (sex == 1) {
					sexs = 2
				}
				if (sex == 2) {
					sexs = 1
				}
				this.$confirm(`确定要更改用户性别吗?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl('user/updateUserByUserId'),
						method: 'post',
						data: this.$http.adornData({
							'userId': userId,
							'sex': sexs
						})
					}).then(({
						data
					}) => {
						console.log('data', data)
						this.$message({
							message: '修改成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.dataSelect()
							}
						})
					})
				}).catch(() => {})
			},
			ageChange(age, index) {
				this.indexType = index
				this.age = age
				this.dialogFormVisible2 = true
			},
			// 获取数据列表
			dataSelect() {
				let userId = this.$route.query.userId
				this.$http({
					url: this.$http.adornUrl(`user/${userId}`),
					method: 'get',
					params: this.$http.adornParams({
						// 'userId': userId
					})
				}).then(({
					data
				}) => {
					if (data.code === 0) {
						let returnData = data.data
						this.tablenum = returnData
						this.tablemoney = returnData
						this.tableData = returnData.userEntity
						if (returnData.company) {
							this.company = returnData.company
							this.companyId = this.company.companyId
						}
						this.phone = returnData.userEntity.phone
						this.invitationCode = returnData.userEntity.invitationCode
						
						var pattern = /^(13[0-9]|14[01456879]|15[0-35-9]|16[2567]|17[0-8]|18[0-9]|19[0-35-9])\d{8}$/
						var phone1 = returnData.userEntity.phone
						var userName1 = returnData.userEntity.userName
						if(pattern.test(phone1)){
							var one = phone1.slice(0, 3)
							var two = phone1.slice(7, 11)
							returnData.userEntity.phone1 = one+'****'+two
						}
						if(pattern.test(userName1)){
							var one = userName1.slice(0, 3)
							var two = userName1.slice(7, 11)
							returnData.userEntity.userName1 = one+'****'+two
						}
						
						
						
					} else {
						this.$message({
							message: data.msg,
							type: 'warning',
							duration: 1500,
							onClose: () => {}
						})
					}
				})
			},
			// 获取团队成员
			teamSelect() {
				this.tableDataLoading = true
				let userId = this.$route.query.userId
				this.$http({
					url: this.$http.adornUrl('user/selectInviteByUserIdLists'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'userId': userId
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data
					this.tableDatamin = returnData
				})
			},
			// 非直属
			feiSelect() {
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('user/selectInvitationCodeByUserIdLists'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'invitationCode': this.invitationCode
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data
					this.feiDatamin = returnData
				})
			},
			// 浏览项目数据
			userSelect() {
				this.tableDataLoading = true
				let userId = this.$route.query.userId
				this.$http({
					url: this.$http.adornUrl('userBrowse/myBrowse'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'userId': userId
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data
					this.userData = returnData
				})
			},
			// 获取用户提现记录
			withdrawSelect() {
				this.tableDataLoading = true
				let userId = this.$route.query.userId
				this.$http({
					url: this.$http.adornUrl('cash/selectPayDetails'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'userId': userId,
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data
					this.withdrawData = returnData
				})
			},
			// 获取钱包明细
			walletSelect() {
				this.tableDataLoading = true
				let userId = this.$route.query.userId
				this.$http({
					url: this.$http.adornUrl('Details/queryUserMoneyDetails'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'userId': userId
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data
					this.walletData = returnData
				})
			},
			// 获取充值明细
			rechargeSelect() {
				if (this.endTime == '') {
					this.endTime = this.info.stockDate
				}
				if (this.startTime == '') {
					this.startTime = this.info2.stockDate2
				}
				let userId = this.$route.query.userId
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('cash/selectUserRechargeByUserId'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'endTime': this.endTime,
						'startTime': this.startTime,
						'userId': userId
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					if (data.code == 0) {

						let returnData = data.data
						this.rechargeData = returnData
					}
					if (data.code == 500) {
						this.$message({
							message: data.msg,
							type: 'error',
							duration: 2500,
							onClose: () => {
								this.tableDataLoading = false
							}
						})
					}
				})
			},
			// 获取定制化抵扣明细
			rechargeSelectDz() {

				let userId = this.$route.query.userId
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('Details/queryUserMoneyDetails'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'classify': 2,
						'userId': userId
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					if (data.code == 0) {
						let returnData = data.data
						this.rechargeData = returnData
					}
					if (data.code == 500) {
						this.$message({
							message: data.msg,
							type: 'error',
							duration: 2500,
							onClose: () => {}
						})
					}
				})
			},

			// 我的项目
			takeSelect() {
				this.tableDataLoading = true
				let userId = this.$route.query.userId
				this.$http({
					url: this.$http.adornUrl('postPush/selectPostPushList'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'userId': userId,
						'status': '',
						'classify': this.classify
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data
					this.takeData = returnData
					// for (var i in this.takeData.list) {
					// 	if (this.takeData.list[i].detailsImg) {
					// 		this.takeData.list[i].detailsImg = this.takeData.list[i].detailsImg.split(',')
					// 	}
					// }
				})
			},

			// 我的简历
			dingdanSelect() {
				this.tableDataLoading = true
				let userId = this.$route.query.userId
				this.$http({
					url: this.$http.adornUrl('resumes/selectResumesByUserIdForAdmin'),
					method: 'get',
					params: this.$http.adornParams({
						'userId': userId
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					if (data.code == 0) {
						let returnData = data.data
						this.dingdanData = returnData
					} else {
						this.$message({
							message: data.msg,
							type: 'error',
							duration: 2500,
							onClose: () => {}
						})
					}
				})
			},
			// 万能服务
			autonymSelect() {
				let userId = this.$route.query.userId
				this.$http({
					url: this.$http.adornUrl('help/selectCreateHelpOrder'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'status': 0,
						'userId': userId
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data
					this.wannengData = returnData
				})
			},

			// 信息数据
			InformationSelect() {
				this.tableDataLoading = true
				let userId = this.$route.query.userId
				this.$http({
					url: this.$http.adornUrl(`information/selectInformationList`),
					method: 'get',
					params: this.$http.adornParams({
						'userId': userId,
						'page': this.page,
						'limit': this.limit,
						'search': this.search,
						'classify': this.classifyIds,
						'status': this.statusId,
						'phone': this.myPhone
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					for (var i in data.data.records) {
						if (data.data.records[i].img) {
							data.data.records[i].imgs = data.data.records[i].img.split(',')
						}
					}
					let returnData = data.data
					this.userData = returnData
				})
			},

			// 我的面试
			fangkeSelect() {
				this.tableDataLoading = true
				let userId = this.$route.query.userId
				this.$http({
					url: this.$http.adornUrl('admin/interviewRecord/interviewList'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'userId': userId,
						'status': ''
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data
					this.fangkeData = returnData
				})
			},

			// 状态
			change(val, userId) {
				this.$http({
					url: this.$http.adornUrl(`user/updateUserStateById?userId=${userId}`),
					method: 'post',
					data: this.$http.adornData({})
				}).then(({
					data
				}) => {
					this.$message({
						message: '操作成功',
						type: 'success',
						duration: 1500,
						onClose: () => {
							this.fangkeSelect()
						}
					})
				})
			},
			//删除足迹
			deleteuser(row) {
				let delid = row.id
				this.$confirm(`确定删除此条信息?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl('userBrowse/deleteMyBrowse?id=' + delid),
						method: 'post',
					}).then(({
						data
					}) => {
						if (data.code == 0) {
							this.$message({
								message: '删除成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.userSelect()
								}
							})
						} else {
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {}
							})
						}
					})
				})
			},

			// 查看评论
			plCompile(row) {
				console.log(row)
				this.renwuId = row.id
				this.dialogFormVisible10 = true
				this.pinglunSelect(row.id)
			},
			// 用户评论列表
			pinglunSelect(id) {
				this.userId = this.$store.state.user.id
				this.$http({
					url: this.$http.adornUrl('takingComment/selectOrderTakingComment'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page2,
						'limit': this.limit2,
						'id': id
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data
					this.pinglunData = returnData
				})
			},
			// 删除评论信息
			pinglundelete(row) {
				let delid = row.id
				this.$confirm(`确定删除此条信息?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl(`takingComment/deleteOrderTakingComment/${delid}`),
						method: 'post',
						params: this.$http.adornData({})
					}).then(({
						data
					}) => {
						this.$message({
							message: '删除成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.pinglunSelect(this.renwuId)
							}
						})
					})
				}).catch(() => {})
			},

			// 我的团队
			tuanduiSelect() {
				let userId = this.$route.query.userId
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('invite/selectInviteByUserIdLists'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'userId': userId,
						'userType':this.types
						// 'chatConversationId': this.chatConversationId
						// 'content': this.content
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data;
					this.tuanduiData = returnData
				})
			},
			// 等级选择事件
			animeDat(state) {
				this.page = 1
				this.tuanduiSelect()
			},
			// 我的团队收入
			tuanduiSelect1() {
				let userId = this.$route.query.userId
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('orders/selectTeamOrdersList'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'userId': userId,
						'userType': this.types
						// 'chatConversationId': this.chatConversationId
						// 'content': this.content
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data;
					this.tuanduiData = returnData
				})
			},
			// 屏蔽公司
			pingbiSelect() {
				let userId = this.$route.query.userId
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('admin/shieldCompany/selectShieldList'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'userId': userId,
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data;
					this.pingbiData = returnData
				})
			},
			// 发送的简历
			baomingSelect() {
				let userId = this.$route.query.userId
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('admin/sendRecord/getMyRecordListV2'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						// 'resumesName':'',
						// 'resumesPhone':'',
						// 'classify':1,
						'userId': userId,
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data;
					this.baomingData = returnData
				})
			},
			// 查看简历详情
			delClicks(row) {
				let userId = this.$route.query.userId
				this.$router.push({
					path: '/resumeDetails',
					query: {
						resumesId: row.resumesId,
						userId: userId
					}
				})
				return
			},
			// 浏览记录
			fapiaoList() {
				this.tableDataLoading4 = true
				let userId = this.$route.query.userId
				this.$http({
					url: this.$http.adornUrl('admin/userBrowse/selectMyBrowseV2'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page2,
						'limit': this.limit2,
						'userId': userId,
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading4 = false
					let returnData = data.data
					this.fapiaoData = returnData
				})
			},
			addfpClick() {
				if (this.companyId == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '该用户还未绑定企业',
						type: 'warning'
					});
					return
				}
				this.titlesFp = '添加'
				this.title = ''
				this.content = ''
				this.money = ''
				this.invoiceId = ''
				this.statusF = ''
				this.invoiceType = 1
				this.dialogFormVisibleFp = true
			},
			updatefpBtn(row) {
				this.titlesFp = '修改'
				this.title = row.title
				this.content = row.content
				this.money = row.money
				this.invoiceId = row.invoiceId
				this.statusF = Number(row.status)
				this.invoiceType = row.invoiceType

				this.dialogFormVisibleFp = true
			},
			fapiaoNoticeTo() {
				if (this.title == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请输入开票信息',
						type: 'warning'
					});
					return
				}
				if (this.content == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请输入发票内容',
						type: 'warning'
					});
					return
				}
				if (this.money == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请输入发票金额',
						type: 'warning'
					});
					return
				}
				if (this.statusF == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请选择发票状态',
						type: 'warning'
					});
					return
				}
				let urls = ''
				if (this.titlesFp == '添加') {
					urls = 'invoice/insertInvoice'
				} else {
					urls = 'invoice/updateInvoice'
				}
				this.$http({
					url: this.$http.adornUrl(urls),
					method: 'post',
					data: this.$http.adornData({
						'companyId': this.companyId,
						'title': this.title,
						'content': this.content,
						'money': this.money,
						'status': this.statusF,
						'invoiceId': this.invoiceId,
						'invoiceType': this.invoiceType
					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.$message({
							message: '操作成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.dialogFormVisibleFp = false
								this.fapiaoList()
							}
						})
					} else {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: data.msg,
							type: 'warning'
						});
					}

				})
			},
			deletefpBtn(row) {
				this.$confirm(`确定删除此条信息?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl('invoice/deleteInvoice'),
						method: 'post',
						params: this.$http.adornParams({
							'invoiceId': row.invoiceId
						})
					}).then(({
						data
					}) => {
						if (data.code == 0) {
							this.$message({
								message: '删除成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.fapiaoList()
								}
							})
						} else {
							this.$notify({
								title: '提示',
								duration: 1800,
								message: data.msg,
								type: 'warning'
							});
						}

					})
				}).catch(() => {})
			},
			// 我的收藏
			shoucangList() {
				this.tableDataLoading4 = true
				let userId = this.$route.query.userId
				this.$http({
					url: this.$http.adornUrl('admin/myCollection/getMyCollectionListV2'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page2,
						'limit': this.size2,
						'userId': userId,
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading4 = false
					let returnData = data.data
					this.scData = returnData
				})
			},
			// 企业黑名单
			hmdList() {
				this.tableDataLoading4 = true
				let userId = this.$route.query.userId
				this.$http({
					url: this.$http.adornUrl('admin/shieldCompany/insertShieldCompany'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page2,
						'limit': this.size2,
						'userId': userId,
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading4 = false
					let returnData = data.data
					this.hmdData = returnData
				})
			},
			// 删除浏览记录
			deleteLlBtn(row) {
				return console.log('删除浏览记录')
				this.$confirm(`确定删除此条信息?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl('admin/userBrowse/deleteBrowse'),
						method: 'post',
						params: this.$http.adornParams({
							'id': row.postPushId
						})
					}).then(({
						data
					}) => {
						if (data.code == 0) {
							this.$message({
								message: '删除成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.fapiaoList()
								}
							})
						} else {
							this.$notify({
								title: '提示',
								duration: 1800,
								message: data.msg,
								type: 'warning'
							});
						}

					})
				}).catch(() => {})
			},
			// 拉黑用户
			laheiBtn(row, index) {
				let userId = this.$route.query.userId
				if (index == 1) {
					this.$confirm(`确定要把该该企业拉出黑名单吗?`, '提示', {
						confirmButtonText: '确定',
						cancelButtonText: '取消',
						type: 'warning'
					}).then(() => {
						this.$http({
							url: this.$http.adornUrl('admin/shieldCompany/deleteShieldCompany'),
							method: 'post',
							params: this.$http.adornParams({
								'shieldCompanyId': row.shieldCompanyId
							})
						}).then(({
							data
						}) => {
							if (data.code == 0) {
								this.$message({
									message: '操作成功',
									type: 'success',
									duration: 1500,
									onClose: () => {
										this.pingbiSelect()
									}
								})
							} else {
								this.$notify({
									title: '提示',
									duration: 1800,
									message: data.msg,
									type: 'warning'
								});
							}

						})
					}).catch(() => {})
				} else {
					console.log('row.resumes.userId', row.resumes.userId)
					this.$confirm(`确定要把该该用户加入黑名单吗?`, '提示', {
						confirmButtonText: '确定',
						cancelButtonText: '取消',
						type: 'warning'
					}).then(() => {
						this.$http({
							url: this.$http.adornUrl('admin/shieldCompany/insertShieldCompany'),
							method: 'post',
							data: this.$http.adornData({
								'shieldType': 2,
								'userId': row.resumes.userId,
								'companyId': this.companyId
							})
						}).then(({
							data
						}) => {
							if (data.code == 0) {
								this.$message({
									message: '操作成功',
									type: 'success',
									duration: 1500,
									onClose: () => {
										this.tdjlSelect()
									}
								})
							} else {
								this.$notify({
									title: '提示',
									duration: 1800,
									message: data.msg,
									type: 'warning'
								});
							}

						})
					}).catch(() => {})
				}

			},
			// 求职意向
			classSelect() {
				let userId = this.$route.query.userId
				this.$http({
					url: this.$http.adornUrl('admin/intention/getIntentionList'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'userId': userId
					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.tableDataLoading = false
						let returnData = data.data
						this.tableData = returnData
					} else {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: data.msg,
							type: 'warning'
						});
					}


				})
			},
			// 头像上传
			handleAvatarSuccess5(file) {
				this.age = file.data;
			},
		},
		mounted() {
			this.dataSelect()
		},
		watch: {
			'$route': 'dataSelect'
		}
	}
</script>

<style scoped="scoped">
	.detailtabel h2 {
		margin-top: 0;
	}

	.detailtabel .table_main table {
		width: 100%;
	}

	.detailtabel .table_main {
		border: 1px solid #e8e8e8;
	}

	.detailtabel table tr {
		border-bottom: 1px solid #e8e8e8;
	}

	.detailtabel table tr th {
		background-color: #fafafa;
		padding: 16px 24px;
		border-right: 1px solid #e8e8e8;
		border-bottom: 1px solid #e8e8e8;
	}

	.detailtabel table tr td {
		padding: 16px 24px;
		border-right: 1px solid #e8e8e8;
		border-bottom: 1px solid #e8e8e8;
	}

	.detailtabel table th {
		color: rgba(0, 0, 0, .85);
		font-weight: 400;
		font-size: 14px;
		line-height: 1.5;
	}

	.border-rt {
		border-right: none !important;
	}

	.border-bt {
		border-bottom: none !important;
	}

	/* ``````````````` */
	.content_item {
		margin-bottom: 20px;
	}

	/* .content_item span {
		display: inline-block;
		width: 120px;
		text-align: left;
	} */

	.bigDiv {
		box-shadow: 0px 0px 10px #efefef;
		margin: 10px 0;
		padding: 10px;
		position: relative;
	}

	.xiugai {
		position: absolute;
		right: 40px;
		top: 10px;
	}

	.shanchu {
		position: absolute;
		right: 10px;
		top: 10px;
	}

	.titleGz {
		font-size: 15px;
		font-weight: 600;
		margin: 10px 0;
	}

	.spanGz {
		color: #999;
	}

	.spanGz span {
		margin-right: 20px;
		padding: 5px 0;
	}

	.spanTime {
		display: inline-block;
		width: 50% !important;
	}

	.delGz {
		color: #666;
		margin: 5px 0;
	}
</style>